### Property

# EDataServer Source:connection-status

#### Declaration

    property connection-status: EDataServer.SourceConnectionStatus [ read ]

#### Description [src]

Connection status of the source.

Type:`ESourceConnectionStatus`

Default value | E_SOURCE_CONNECTION_STATUS_DISCONNECTED
Getter method | `e_source_get_connection_status()`

#### Flags

Readable | yes
Writable | no
Construct | no
Construct only | no